Subject: Re: bug#23618: Some filenotify tests fail with extra "changed" events

From: Michael Albinus <[email-masked]>
Date: Fri, 27 May 2016 20:00:53 +0200

Glenn Morris <[email-masked]> writes:

>> We have done some work in the master branch, which is not contained in
>> the emacs-25 branch. I don't see any problem running the tests in the
>> master branch. Do you see the problems also in the master branch?
>
> I do.
>
>> It might be also interesting to know whether the failed tests appear
>> also during an ordinary "make check".
>
> Current master make check:
>
> 3 unexpected results:
>    FAILED  file-notify-test02-events
>    FAILED  file-notify-test04-file-validity
>    FAILED  file-notify-test07-backup
>
> Still due to extra "changed" events.

OK, I'll try to get an RHEL 7.2 VM in order to reproduce it. Or maybe a
CentOS VM, in case RHEL VMs are not available.

In case it fails, I will send you an instrumentation patch for
filenotify-tests.el. We do agree that we work on the master branch,
don't we?

Best regards, Michael.